Bug 1268808 - Need corrections in cluster-size.adoc for adding Monitors to an existing working Ceph cluster
Need corrections in cluster-size.adoc for adding Monitors to an existing work...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3.0
x86_64 Linux
unspecified Severity high
: rc
: 1.3.0
Assigned To: Nilamdyuti
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 06:46 EDT by Tanay Ganguly
Modified: 2016-09-19 21:50 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 12:12:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tanay Ganguly 2015-10-05 06:46:02 EDT
Description of problem:

Need corrections in cluster-size.adoc for adding Monitors to an existing working Ceph cluster

RHEL:
-----
If we are adding a new mon to a RHEL ceph cluster that was installed from ISO, then as per the document(https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-administration-guide/blob/v1.3/cluster-size.adoc) there are only 2 steps to be done:
  a. ceph-deploy install --repo --release=ceph-mon <additional_mon_node>
  b. ceph-deploy mon add <additional_mon_node>

Actualy, we need to execute the below step as well:
ceph-deploy install --mon <additional_mon_node> ( This steps is *only* mentioned for CDN based installation)

So, if effect the actual steps should be:
  a. ceph-deploy install --repo --release=ceph-mon <additional_mon_node>
  b. ceph-deploy mon add <additional_mon_node>
  c. ceph-deploy install --mon <additional_mon_node>

Ubuntu:
------
If we are adding a new mon to a Ubuntu ceph cluster that was installed from ISO, then as per the document(https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-administration-guide/blob/v1.3/cluster-size.adoc) there are only 2 steps to be done:
  a. ceph-deploy install --repo --release=ceph-mon <additional_mon_node>
  b. ceph-deploy mon add <additional_mon_node>

Actualy, we need to execute the below step as well:
ceph-deploy install --no-adjust-repos --mon <additional_mon_node>

So, if effect the actual steps should be:
  a. ceph-deploy install --repo --release=ceph-mon <additional_mon_node>
  b. ceph-deploy install --no-adjust-repos --mon <additional_mon_node>
  c. ceph-deploy mon add <additional_mon_node>

Version-Release number of selected component (if applicable):
ceph version 0.94.1.8

How reproducible:
100%

Steps to Reproduce:

Expected results:


Additional info:
1. The same problem is also being seen in both RHEL and Ubuntu

2. For Ubuntu, we were also able to add mon using following commands which are also found in Ubuntu's quick-ceph-deploy.adoc,
  ceph-deploy repo ceph-mon <additional_mon_node>
  ceph-deploy install --no-adjust-repos --mon <additional_mon_node>
  ceph-deploy mon add <additional_mon_node>
Comment 2 Tanay Ganguly 2015-10-05 06:48:31 EDT
Wrongly i have marked this BUG as Installer BUG.

Changing it to Documentation BUG
Comment 4 Tanay Ganguly 2015-10-06 07:54:21 EDT
Hi John,

This works for RHEL,but not for Ubuntu.
Can we also add Ubuntu section in the same document to make it more generic.

ceph-deploy repo ceph-mon <additional_mon_node>
ceph-deploy install --no-adjust-repos --mon <additional_mon_node>
ceph-deploy mon add <additional_mon_node>



Thanks,
Tanay
Comment 6 Tanay Ganguly 2015-10-07 06:10:53 EDT
Yes it works now.

Thanks Nilam
Comment 7 Nilamdyuti 2015-10-07 06:15:25 EDT
(In reply to Tanay Ganguly from comment #6)
> Yes it works now.
> 
> Thanks Nilam

You are welcome!

Note You need to log in before you can comment on or make changes to this bug.